
 /* PIC16F877A UART example
  * Used microcontroller: PIC16F877A @ 8MHz
  * Written by: BENCHEROUDA Okba
  * E-mail: electronnote@gmail.com
  * Website: http://elecnote.blogspot.com/
  */
 char i ;
 void main() {
   UART1_Init(19200);            // Initialize USART module
                                  // (8 bit, 19200 baud rate, no parity bit...)
   delay_ms(2000);
   UART1_Write_Text("Hello world!");
   UART1_Write(13);      // Start a new line
   UART1_Write(10);
   UART1_Write_Text("PIC16F877A UART example");
   UART1_Write(13);     // Start a new line
   UART1_Write(10);
   while (1) {
     if (UART1_Data_Ready()) { // If data has been received
      i = UART1_Read();     // read it
      UART1_Write(i);       // and send it back
     }
   }
 }